{% extends "base.html" %}
{% load i18n %}
{% block title %}{% translate "damage type"|capfirst %}{% endblock %}
{% block content %}
  <div class="row">
    <div class="col">
      <h1>{% translate "damage type"|capfirst %}</h1>
    </div>
  </div>
  <div class="row">
    <div class="col text-end">
      {% if perms.artefacts.add_damagegroup %}
        <a href="{% url 'artefacts:add-damage-type' %}" class="btn btn-outline-primary">{% translate "add"|capfirst %}</a>
      {% endif %}
    </div>
  </div>
  <div class="row">
    <div class="col">
      <table class="table table-hover">
        <thead>
          <tr>
            <th></th>
            <th>{% translate 'name'|capfirst %}</th>
            <th class="w-25">{% translate 'group'|capfirst %}</th>
            <th>{% translate 'description'|capfirst %}</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          {% for type in object_list %}
            <td><i class="h1 {{type.icon_class}}"></i></td>
            <td>{{type.name}}</td>
            <td>{{type.group}}</td>
            <td>{{type.description}}</td>
            <td>
              <div class="d-flex justify-content-end">
                {% if perms.artefacts.change_typeofdamage %}
                  <a href="{% url 'artefacts:change-damage-type' type.id %}" class="btn-sm btn-outline-primary mx-1"><i class="bi bi-pencil"></i></a>
                {%  endif %}
                {% if perms.artefacts.delete_typeofdamage %}
                  <a href="{% url 'artefacts:delete-damage-type' type.id %}" class="btn-sm btn-outline-danger mx-1"><i class="bi bi-trash"></i></a>
                {%  endif %}
              </div>
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
{% endblock %}
